# Class IntervalListToBed

java.lang.Object
picard.cmdline.CommandLineProgram
picard.util.IntervalListToBed

@DocumentedFeature public class IntervalListToBed extends CommandLineProgram
Trivially simple command line program to convert an IntervalList file to a BED file.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INPUT`
`File`
`OUTPUT`
`int`
`SCORE`
`boolean`
`SORT`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`IntervalListToBed()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="Input IntervalList file.") public File INPUT

### OUTPUT

@Argument(shortName="O", doc="Output BED file.") public File OUTPUT

### SCORE

@Argument(doc="The score, between 0-1000, to output for each interval in the BED file.") public int SCORE

### SORT

@Argument(doc="If true, sort the interval list prior to outputting as BED file.") public boolean SORT

## Constructor Details

### IntervalListToBed

public IntervalListToBed()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.